Subject: Re: GNU setup?
From: [email-masked] (Scott Warner)

3 Nov 1997 19:28:04 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: "Joshua Weage" <[email-masked]>
Cc: <[email-masked]>

Try linking to the windows 32 libraries, ie,

g++ -o winhello.exe winhello.cpp -luser32 -lgdi32

you DON'T link the kernel; add -Wl,--subsystem,windows to get rid of the
console window.  Apparently this can be done automatically by using the
-mwindows option, but I this hasn't worked for me (anyone have any input)?

You should be able to get it working -- I'm not far ahead of you here. 
Good luck!

----------
> From: Joshua Weage <[email-masked]>
> To: Scott Warner <[email-masked]>
> Subject: Re: GNU setup?
> Date: Monday, November 03, 1997 9:23 AM
> 
> 	Well..... not exactly.  I was trying to recompile the source code for an
> MPEG Layer 2 encoder, and it gave me some problems.  First, it couldn't
> find the file dos.h, so I commented it out just to see what would happen.

> Then I got the following error:
> 
>
C:\gnuwin32\b18\H-i386-cygwin32\i386-cygwin32\lib/libcygwin.a(libcmain.o)(.t

> ext+
> 0x1e):libcmain.cc: undefined reference to `WinMain@16'
> GCC.EXE: Internal compiler error: program ld got fatal signal 1
> 
> 	Since I don't know much about programming at this point, I'm just going
to
> give up on it for now.  There are several components, none of which will
> compile.  I was hoping that the program would compile without any
> modifications, but I guess not.
> 
> Thanks for your help.
> 
> Josh
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".